package com.crm.manager.dao.mapper;

import com.crm.rely.backend.model.pojo.table.CustomLoginTable;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Created by max on 2020/6/17.
 */
@Repository
public interface CustomLoginDao {

    Long getAgentIdByLogin(Long login);

    Long getCustomIdByLogin(Long login);

    List<Long> getCustomIdsByLogins(List<Long> logins);

    void deleteInBatchByCustomId(List<Long> logins);

    List<CustomLoginTable> findAllLoginBySalesId(Long salesId);

    void batchUpdateLoginStatusByAgentId(List<CustomLoginTable> tables);
}
